﻿using System;
using System.ComponentModel;
using Gallery.Util;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Gallery.Views
{
    public partial class AboutPage : ContentPage
    {
        public AboutPage()
        {
            InitializeComponent();
        }

        protected override async void OnAppearing()
        {
            base.OnAppearing();

            var result = await App.GallerySources[0].GetRecentItemsAsync(1);
            if (result != null)
            {
                for (var i = 0; i < result.Length; i++)
                {
                    var item = result[i];
                    Log.Print($"id: {item.Id}, url: {item.RawUrl}");
                }
            }
        }
    }
}
